﻿@model Users;
@{
    ViewData["Title"] = "Login";
}

<h4 class="text-center">Login</h4>

<hr />
<div class="row mt-4">
    <div class="col-md-6">
        <form asp-action="Login">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>

            <div class="form-group">
                <label class="control-label"> Usuário </label>
                <input type="text" asp-for="UserName" class="form-control" required />
                <span asp-validation-for="UserName" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label class="control-label">Senha</label>
                <input type="password" asp-for="Password" class="form-control" required />
                <span asp-validation-for="Password" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Entrar" class="btn btn-primary" />
                <a asp-action="Index" asp-controller="Home" class="btn btn-danger ml-5">Voltar</a>
            </div>
            <div class="form-group">
                <label class="bg-danger">@ViewBag.validacao</label>
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
